using Microsoft.EntityFrameworkCore;

namespace SVSim.Database.Models;

[Owned]
public class ViewerClassData
{
    public int Level { get; set; }
    public int Exp { get; set; }
    
    #region Navigation Properties

    public ClassEntry Class { get; set; } = new ClassEntry();

    public Viewer Viewer { get; set; } = new Viewer();

    public LeaderSkinEntry LeaderSkin { get; set; } = new LeaderSkinEntry();

    #endregion
}